package com.trade.service.trade.purchasecontract.dto;

import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import com.trade.common.core.page.PageDomain;

/**
 * 采购合同查询条件
 */
public class PurchaseContractSearchBaseDto extends PageDomain {

    /**
     * 客户id
     */
    private Long customerUserId;
    /**
     * 合同编号或者合同名称
     */
    private String contractInfo;
    /**
     * 销售合同编号
     */
    private String salesContractNo;
    /**
     * 客户id或者客户名称
     */
    private String customerUserInfo;
    /**
     * 合同状态,枚举：purchase_contract_status
     */
    private String contractStatus;
    /**
     * 供应商编码
     */
    private String vendorEntityNo;
    /**
     * 代理公司统一社会信用代码/注册号
     */
    private String agencyCertNo;
    /**
     * 开始时间 (C端创建时间，B端提交时间)
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date timeStart;
    /**
     * 结束时间 (C端创建时间，B端提交时间)
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date timeEnd;
    /**
     * 查询端true-C端 false-B端
     */
    private Boolean point = false;
    private List<Long> customerUserIdList;

    public Long getCustomerUserId() {
        return customerUserId;
    }

    public void setCustomerUserId(Long customerUserId) {
        this.customerUserId = customerUserId;
    }

    public String getContractInfo() {
        return contractInfo;
    }

    public void setContractInfo(String contractInfo) {
        this.contractInfo = contractInfo;
    }

    public String getSalesContractNo() {
        return salesContractNo;
    }

    public void setSalesContractNo(String salesContractNo) {
        this.salesContractNo = salesContractNo;
    }

    public String getCustomerUserInfo() {
        return customerUserInfo;
    }

    public void setCustomerUserInfo(String customerUserInfo) {
        this.customerUserInfo = customerUserInfo;
    }

    public String getVendorEntityNo() {
        return vendorEntityNo;
    }

    public void setVendorEntityNo(String vendorEntityNo) {
        this.vendorEntityNo = vendorEntityNo;
    }

    public String getContractStatus() {
        return contractStatus;
    }

    public void setContractStatus(String contractStatus) {
        this.contractStatus = contractStatus;
    }

    public String getAgencyCertNo() {
        return agencyCertNo;
    }

    public void setAgencyCertNo(String agencyCertNo) {
        this.agencyCertNo = agencyCertNo;
    }

    public Date getTimeStart() {
        return timeStart;
    }

    public void setTimeStart(Date timeStart) {
        this.timeStart = timeStart;
    }

    public Date getTimeEnd() {
        return timeEnd;
    }

    public void setTimeEnd(Date timeEnd) {
        this.timeEnd = timeEnd;
    }

    public Boolean getPoint() {
        return point;
    }

    public void setPoint(Boolean point) {
        this.point = point;
    }

    public List<Long> getCustomerUserIdList() {
        return customerUserIdList;
    }

    public void setCustomerUserIdList(List<Long> customerUserIdList) {
        this.customerUserIdList = customerUserIdList;
    }
}
